Package Details: gcc49 4.9.4-3

Git Clone URL: https://aur.archlinux.org/gcc49.git (read-only)
Package Base: gcc49
Description: The GNU Compiler Collection
Upstream URL: http://gcc.gnu.org
Licenses: GPL, custom, LGPL, FDL
Submitter: rubenvb
Maintainer: rubenvb
Last Packager: rubenvb
Votes: 20
Popularity: 0.293203
First Submitted: 2015-07-01 12:48
Last Updated: 2018-09-16 16:24

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

friehmaen commented on 2016-06-03 09:59

Had the same issue like pesser and nsdfyd.
When adding the "--build=${CHOST}" option, build seems fine.

pesser commented on 2016-05-21 18:10

same error as nsdfyd here. Fixed it by telling configure explicitly to use $CHOST from /etc/makepkg.conf, i.e.

--- ../aurpkg/gcc49/PKGBUILD 2016-05-21 19:22:14.396651118 +0200
+++ PKGBUILD 2016-05-21 19:46:46.239910486 +0200
@@ -61,6 +61,7 @@
CXXFLAGS=${CXXFLAGS/-pipe/}

${srcdir}/${_basedir}/configure --prefix=/usr \
+ --build=${CHOST} \
--libdir=/usr/lib --libexecdir=/usr/lib \
--mandir=/usr/share/man --infodir=/usr/share/info \
--with-bugurl=https://bugs.archlinux.org/ \


not exactly sure what this is but I think older autoconf version report the system as `x86_64-unknown-linux-gnu` whereas newer ones use `x86_64-pc-linux-gnu`

rubenvb commented on 2016-05-21 08:10

@pesser: right, thanks, fixed. Sorry about that.

nsdfyd commented on 2016-05-21 07:15

make: *** x86_64-pc-linux-gnu/libstdc++-v3/doc: No such file or directory. Stop.
==> ERROR: A failure occurred in build().
Aborting...

echo $CHOST

nothing. How to change this var or what to do?

pesser commented on 2016-05-21 00:21

needed a small change in the pkgbuild

42c42
< patch -p1 < ../gcc-4.9-fix-build-with-gcc-6.patch
---
> patch -p1 < gcc-4.9-fix-build-with-gcc-6.patch

now it's compiling

rubenvb commented on 2016-05-20 22:08

I uploaded a new version which should fix the libc_name_p error.

ppwwyyxx commented on 2016-05-20 17:36

@lonaowna I do have base-devel. Now I can build gcc49 by first installing gcc5 and modify its PKGBUILD to use gcc5 instead of default gcc6. #Back-Boostrap

lonaowna commented on 2016-05-20 15:52

@ppwwyyxx I haven't seen that error before, it is compiling fine here...

Edit: Do you have the 'base-devel' group installed?

ppwwyyxx commented on 2016-05-20 14:49

@lonaowna Your fix still doesn't work for me:
build/gengtype.o: In function `create_optional_field_(pair*, type*, char const*, char const*, int)':
/home/yuxinwu/install/gcc49-2/src/gcc-4.9-20160504/gcc/gengtype.c:1002: undefined reference to `lexer_line'
build/gengtype.o: In function `adjust_field_rtx_def(type*, options*)':
/home/yuxinwu/install/gcc49-2/src/gcc-4.9-20160504/gcc/gengtype.c:1137: undefined reference to `lexer_line'
/home/yuxinwu/install/gcc49-2/src/gcc-4.9-20160504/gcc/gengtype.c:1193: undefined reference to `lexer_line'
/home/yuxinwu/install/gcc49-2/src/gcc-4.9-20160504/gcc/gengtype.c:1203: undefined reference to `lexer_line'
/home/yuxinwu/install/gcc49-2/src/gcc-4.9-20160504/gcc/gengtype.c:1272: undefined reference to `lexer_line'
build/gengtype.o:/home/yuxinwu/install/gcc49-2/src/gcc-4.9-20160504/gcc/gengtype.c:1312: more undefined references to `lexer_line' follow
build/gengtype-parse.o: In function `token()':

lonaowna commented on 2016-05-13 09:01

@GeorgeChao If you read two comments down you would see the cause of the problem. (i.e. this version doesn't compile with GCC 6. here is a working PKGBUILD: https://gist.github.com/slokhorst/029aa3c86bdb897cb47acc3f137aa11c )